Freeciv-3.1: /fast/freeciv/nightly/S3_1/common/calendar.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
calendar.c File Reference
`#include "game.h"`
`#include "victory.h"`
`#include "calendar.h"`

Go to the source code of this file.

## Functions

void | game_next_year (struct packet_game_info *info)
void | game_advance_year (void)
const char * | textcalfrag (int frag)
const char * | textyear (int year)
const char * | calendar_text (void)

## Function Documentation

## ◆ calendar_text()

const char * calendar_text | ( | void |  | ) |

Produce a statically allocated textual representation of the current calendar time.

Definition at line 141 of file calendar.c.

Referenced by api_methods_game_year_text(), get_info_label_text(), get_info_label_text_popup(), get_report_title(), historian_generic(), img_new(), log_civ_score_now(), report_achievements(), report_demographics(), send_year_to_clients(), show_new_turn_info(), fc_client::update_info_label(), and update_info_label().

## ◆ game_advance_year()

void game_advance_year | ( | void |  | ) |

Advance the game year.

Definition at line 91 of file calendar.c.

Referenced by end_turn().

## ◆ game_next_year()

void game_next_year | ( | struct packet_game_info * | info | ) |

Advance the calendar in the passed game_info structure (may only be a copy of the real one). FIXME: would be nice to pass a struct containing just the calendar, not the whole game_info struct.

Definition at line 30 of file calendar.c.

Referenced by check_for_game_over(), and game_advance_year().

## ◆ textcalfrag()

const char * textcalfrag | ( | int | frag | ) |

Produce a statically allocated textual representation of the given calendar fragment.

Definition at line 101 of file calendar.c.

Referenced by calendar_text(), req_text_insert(), universal_name_translation(), and worklist_item_postpone_req_vec().

## ◆ textyear()

const char * textyear | ( | int | year | ) |

Produce a statically allocated textual representation of the given year.

Definition at line 120 of file calendar.c.

Referenced by calendar_text(), get_spaceship_descr(), handle_spaceship_launch(), req_text_insert(), universal_name_translation(), and worklist_item_postpone_req_vec().